<?php
    // Aktion für Bearbeitung Planposten durchführen
    Input::setSource("get");
    $action = Input::getString("action");

    if ($action == "new") {
        $kateg = Kategorie::findById(Input::getNumber("kategorie"));
        if (is_null($kateg))
            BC_sayAndDie("Fehler: Kategorie nicht vorhanden.");
        $konto = Konto::findById(Input::getNumber("konto"));
        if (is_null($konto))
            BC_sayAndDie("Fehler: Konto nicht vorhanden.");
        $pp = PlanPosten::neu();
        $pp->setText(Input::getString("text"));
        $pp->setKategorie($kateg);
        $pp->setKonto($konto);
        $pp->setBetrag(Input::getBetrag("betrag"));
        $pp->getBeginn()->set(Input::getString("beginn"));
        $pp->getEnde()->set(Input::getString("ende"));
        $pp->setTurnusArt(Input::getString("turnusArt"));
        $pp->setTurnusCount(Input::getNumber("turnusCount"));
        $pp->save();
    } else if ($action == "edit") {
        $pp = PlanPosten::findById(Input::getNumber("ID"));
        if (is_null($pp))
            BC_sayAndDie("Fehler: Planposten nicht vorhanden!");
        $kateg = Kategorie::findById(Input::getNumber("kategorie"));
        if (is_null($kateg))
            BC_sayAndDie("Fehler: Kategorie nicht vorhanden.");
        $pp->setText(Input::getString("text"));
        $pp->setKategorie($kateg);
        $pp->setBetrag(Input::getBetrag("betrag"));
        $pp->getBeginn()->set(Input::getString("beginn"));
        $pp->getEnde()->set(Input::getString("ende"));
        $pp->setTurnusArt(Input::getString("turnusArt"));
        $pp->setTurnusCount(Input::getNumber("turnusCount"));
        $pp->save();            
    } else if ($action == "delete") {
        $pp = PlanPosten::findById(Input::getNumber("ID"));
        if (is_null($pp))
            BC_sayAndDie("Fehler: Planposten nicht vorhanden!");
        $pp->delete();
        GlobalVars::push("messages", "Planposten wurde gelöscht.");
    }
?>