<?php
    // Import-Seite für BControl - Verzweigung je nach Untermenü

    // GlobalVars für HTML-Rahmen setzen
    $select = Input::getParam("select");
    if ($select == "")
        $select = "csv";
    GlobalVars::setVar("itemSelected", $select);
    $action = Input::getParam("action");

    require("./model/Regel.php");
    require("./model/TextRegel.php");

    GlobalVars::push("script", "import.js"); // immer gleich
    if ($select == "csv") {
        if ($action == "upload")
            require("./control/uploadCsv.php");
        GlobalVars::setVar("title", "Import - CSV-Datei (Buchungen)");
        GlobalVars::setVar("main", "mainImportCsv.php");
    } else if ($select == "voba") {
        if ($action == "upload")
            require("./control/uploadVoBa.php");
        GlobalVars::setVar("title", "Import - VoBa-Export");
        GlobalVars::setVar("main", "mainImportVoBa.php");
    } else if ($select == "diba") {
        if ($action == "upload")
            require("./control/uploadDiBa.php");
        GlobalVars::setVar("title", "Import - ING DiBa-Export");
        GlobalVars::setVar("main", "mainImportDiBa.php");
    } else if ($select == "xml") {
        if ($action == "upload")
            require("./control/uploadXml.php");
        GlobalVars::setVar("title", "Import - XML-Datei");
        GlobalVars::setVar("main", "mainImportXml.php");
    } else
        BC_sayAndDie("Ung&uuml;ltiger Select-Parameter: ".$select);

    // HTML-Rahmen aufrufen
    require("HTML-Rahmen.php");
?>
