<?php
    // Main-Seite für BControl
    // - von hier geht es in Unter-Seiten entsprechend dem open-Parameter
    // Session-Start immer als erstes!
    session_start();

    // Auf bestehende Anmeldung prüfen
    require("./_basics.php");
    Sql::dbInit();
    if (!BC_checkSession())
        BC_sayAndDie("Keine g&uuml;ltige Anmeldung!");

    // geöffnetes Hauptmenü per open-Parameter holen
    $open = Input::getParam("open");
    if ($open == "")
        $open = "konto";
        
    // universelle GlobalVars für HTML-Rahmen setzen
    GlobalVars::setVar("menuOpen", $open);
    GlobalVars::push("script", "_basics.js");
    GlobalVars::push("script", "_nav.js");
    GlobalVars::setVar("header", "header1.php");
    GlobalVars::setVar("aside", "asideNav.php");
    GlobalVars::setVar("headerSelection", "empty.php");

    // Verzweigung je nach open-Parameter
    $phpFile = $open.".php";
    if (!file_exists($phpFile))
        BC_sayAndDie("Ung&uuml;ltiger Open-Parameter: ".$open);
    require($phpFile);

    Sql::dbClose();
?>