<?php
    // Planung-Seite für BControl - Verzweigung je nach Untermenü

    // GlobalVars für HTML-Rahmen setzen
    $select = Input::getParam("select");
    if ($select == "")
        $select = "planposten";
    GlobalVars::setVar("itemSelected", $select);
    require("./_classesPlanung.php");

    if ($select == "planposten") {
        require("./control/planpostenAction.php");
        GlobalVars::setVar("title", "Planung - Pflege Planposten");
        GlobalVars::setVar("main", "mainPlanungPlanposten.php");
        GlobalVars::push("style", "jquery-ui.min.css"); // für Datepicker
        GlobalVars::push("script", "jquery-ui.min.js"); // für Datepicker
        GlobalVars::push("script", "planungPlanposten.js");
        GlobalVars::push("script", "planpostenEdit.js");
        GlobalVars::push("div", "dlgModal.php");
    } else if ($select == "sollist") {
        require("./control/PlanungManager.php");
        GlobalVars::setVar("title", "Planung - Vergleich Plan gegen Konto");
        GlobalVars::setVar("main", "mainPlanungSollist.php");
        GlobalVars::push("style", "jquery-ui.min.css"); // für Datepicker
        GlobalVars::push("script", "jquery-ui.min.js"); // für Datepicker
        GlobalVars::push("script", "planungSollist.js");
        GlobalVars::push("script", "planpostenEdit.js");
        GlobalVars::push("div", "dlgModal.php");
        GlobalVars::push("div", "dlgConfirm.php");
    } else if ($select == "predict") {
        require("./model/ME_Saldo.php");
        require("./control/KontoManager.php");
        require("./control/PlanungManager.php");
        GlobalVars::setVar("title", "Planung - Prognose Konto-Verlauf");
        GlobalVars::setVar("main", "mainPlanungPredict.php");
        GlobalVars::push("style", "jquery-ui.min.css"); // für Datepicker
        GlobalVars::push("script", "jquery-ui.min.js"); // für Datepicker
        GlobalVars::push("script", "planungPredict.js");
    } else if ($select == "jahresplan") {
        require("./control/PlanungManager.php");
        GlobalVars::setVar("title", "Planung - Jahresplan");
        GlobalVars::setVar("main", "mainPlanungJahresplan.php");
        GlobalVars::push("style", "jquery-ui.min.css"); // für Datepicker
        GlobalVars::push("script", "jquery-ui.min.js"); // für Datepicker
        GlobalVars::push("script", "planungJahr.js");
        GlobalVars::push("script", "planpostenEdit.js");
        GlobalVars::push("div", "dlgModal.php");
    } else if ($select == "bereinigen") {
        require("./control/PlanungManager.php");
        require("./control/planBereinigenAction.php");
        GlobalVars::setVar("title", "Planung bereinigen");
        GlobalVars::setVar("main", "mainPlanungBereinigung.php");
        GlobalVars::push("style", "jquery-ui.min.css"); // für Datepicker
        GlobalVars::push("script", "jquery-ui.min.js"); // für Datepicker
        GlobalVars::push("script", "planBereinigen.js");
    } else
    BC_sayAndDie("Ung&uuml;ltiger Select-Parameter: ".$select);

    // HTML-Rahmen aufrufen
    require("HTML-Rahmen.php");
?>
