/**
 * Skript: Bereitstellung Funktionen für Edit-Formular für Buchung
 */

var bc = window.bc || {};

// Formular initialisieren
bc.buEditInit = function(clickCallback) {
    bc.initDatumInput();
    $("#editOberKateg").on("change", bc.buEditOkChange);
    $("#btnEditSave").on("click", clickCallback);
};

bc.buEditOkChange = function() {
    var _url = "./service/getKategSelect.php",
        _request = undefined,
    _endvar;

    console.log("buEditOkChange ...");
    _url += "?selectid=editUnterKateg&ID=" + $("#editOberKateg").val();
    _request = $.ajax({url: _url, dataType: "html"});
    _request
        .done(function(data){
            $("#tdUnterKateg").html(data);
        })
        .fail(bc.requestFail);
};

bc.buEditSaveParams = function() {
    return "ID=" + $("#editId").val() +
        "&konto=" + $("#editKonto").val() +
        "&text=" + $("#editText").val() +
        "&kategorie=" + $("#editUnterKateg").val() +
        "&betrag=" + $("#editBetrag").val() +
        "&datum=" + $("#editDatum").val();
};
