/**
 * Skript für Anmelde-Seite
 */

$(document).ready(function(){
    "use strict";
    
    // lokale Deklarationen:
    var _forwardUrl = "main.php",
        _checkUrl = "service/checkLogin.php",
        _showMessage = bc.showMessage,
        _requestFail = bc.requestFail,
        _loginSubmit = function(){},
    endvar;

    // Abschicken Login-Formular mit Anmelden-Button:
    _loginSubmit = function(event) {
        var _request = undefined,
        endvar;
        
        event.preventDefault();
        // ggf. alle Meldungen wieder weg:
        $("tr.failMessage").hide();
        $("p.message").hide();
        
        if ($("#Password").val() === "") {
            $("#fmPasswordEmpty").show();
            return;
        }
        
        _request = $.post({ url: _checkUrl,
                            data: $("#loginForm").serialize(),
                            dataType: "json"});
        _request
            .done(function(data){
                if (data.result == "ok") {
                    window.location = _forwardUrl;
                } else {
                    _showMessage(data.message);
                }
            })
            .fail(_requestFail);
    };
    
    //******** Nach Laden der Seite *************************************
    
    // Fehlermeldungen erst mal verstecken
    $("tr.failMessage").hide();
    
    // In Passwort-Feld positionieren
    $("#Password").focus();
    
    // Ereignisbehandlung einrichten
    $("#loginForm").on("submit", _loginSubmit);
});
