<?php
    // Service zur Überprüfung der Eingaben im Login-Formular
    session_start();

    // Default-Ergebnis: "fehlerhaft"
    $res = array("result" => "fail");
    
    require("./_basics.php");
    Sql::dbInit();

    // Post-Parameter Passwort mit CheckLogin prüfen:    
    Input::setSource("post");
    $pw = Input::getString("Password");
    if (BC_checkLogin($pw)) {
        // Login erfolgreich
        $res["result"] = "ok";
    } else {
        // Fehlgeschlagener Login --> Meldung
        GlobalVars::push("messages", "Passwort nicht korrekt!");
    }

    $res["message"] = GlobalVars::getMessagesString();
    echo json_encode($res);
    Sql::dbClose();
?>