<?php
    // Service zum Liefern der Bearbeitungs-Maske für eine Buchung
    session_start();
    require("./_basics.php");
    require("./_classesPlanung.php");
    
    Sql::dbInit();
    if (!BC_checkSession())
        BC_sayAndDie("Keine g&uuml;ltige Anmeldung!");

    Input::setSource("get");
    $id = Input::getNumber("ID");
    $bu = Buchung::findById($id);
    if (is_null($bu))
        BC_sayAndDie("Fehler: Buchung nicht vorhanden.");
    
    GlobalVars::setVar("Buchung", $bu);
    require("../view/formBuchungEdit.php");
?>