<?php
    // Service zum Liefern der Bearbeitungs-Maske für Planposten
    session_start();
    require("./_basics.php");
    require("./_classesPlanung.php");
    
    Sql::dbInit();
    if (!BC_checkSession())
        BC_sayAndDie("Keine g&uuml;ltige Anmeldung!");

    Input::setSource("get");
    $id = Input::getNumber("ID");
    $modus = Input::getString("modus");
    if ($modus == "newFromBuchung") {
        $bu = Buchung::findById($id);
        if (is_null($bu))
            BC_sayAndDie("Fehler: Buchung nicht vorhanden.");
        $pp = PlanPosten::neu();
        $pp->setKonto($bu->getKonto());
        $pp->setKategorie($bu->getKategorie());
        $pp->setBeginn($bu->getDatum());
        $pp->setBetrag($bu->getBetrag());
        $pp->setText($bu->getText());
        $pp->setTurnusArt("e");
        GlobalVars::setVar("FormHead", "neuer Plan-Posten aus Buchung");
        GlobalVars::setVar("PP-ID", "new");
    } else if ($modus == "edit") {
        $pp = PlanPosten::findById($id);
        if (is_null($pp))
            BC_sayAndDie("Fehler: Planposten nicht vorhanden.");
        GlobalVars::setVar("FormHead", "Bearbeitung Plan-Posten");
        GlobalVars::setVar("PP-ID", $pp->getId());
    } else
        BC_sayAndDie("Fehler: ungültiger Modus!");
    
    GlobalVars::setVar("PlanPosten", $pp);
    require("../view/formPlanPostenEdit.php");
?>