<?php
    // Aktion für Speichern Kategorie-Daten durchführen
    session_start();
    require("./_basics.php");
    require("../model/Regel.php");
    
    Sql::dbInit();
    if (!BC_checkSession())
        BC_sayAndDie("Keine g&uuml;ltige Anmeldung!");

    $res = array();
    $res["success"] = "no";
    $res["message"] = "Laden der Regeln fehlgeschlagen.";
    $res["regeln"] = array();
    
    class RegelWerte {
        public $keyString;
        public $kategKey;
        public $kategText;
        public $oberKategId;
        function __construct(Regel $r) {
            $this->keyString = $r->getKeyString();
            $this->kategKey = $r->getKategorie()->getId();
            $this->kategText = $r->getKategorie()->getBezeichnung();
            $this->oberKategId = $r->getKategorie()->getParent()->getId();
        }
    }

    $regeln = Regel::getAll();
    foreach ($regeln as $ix => $r) {
        array_push($res["regeln"], new RegelWerte($r));
    }
    $res["success"] = "yes";
    echo json_encode($res);

    Sql::dbClose();
?>