<?php
    // Aktion für Speichern oder Löschen von Planposten
    session_start();
    require("./_basics.php");
    require("./_classesPlanung.php");
    
    Sql::dbInit();
    if (!BC_checkSession())
        BC_sayAndDie("Keine g&uuml;ltige Anmeldung!");

    $res = array();
    $res["success"] = "no";

    Input::setSource("get");

    $action = Input::getString("action");
    $pp = PlanPosten::findById(Input::getNumber("ID"));
    if (is_null($pp))
        BC_sayAndDie("PlanPosten nicht vorhanden!");

    if ($action == "save") {
        $pp->setText(Input::getString("text"));
        $pp->setKategorie(Kategorie::findById(Input::getNumber("kategorie")));
        $pp->setBetrag(Input::getBetrag("betrag"));
        $pp->getBeginn()->set(Input::getString("beginn"));
        $pp->getEnde()->set(Input::getString("ende"));
        $pp->setTurnusArt(Input::getString("turnusArt"));
        $pp->setTurnusCount(Input::getNumber("turnusCount"));
        $pp->save();
        $res["message"] = "Planungs-Posten wurde gespeichert.";
        $res["success"] = "yes";
    } else if ($action == "delete") {
        $pp->delete();
        $res["message"] = "Planungs-Posten wurde gelöscht.";
        $res["success"] = "yes";
    } else {
        $res["message"] = "Ungültiger Aktions-Code!";
    }

    echo json_encode($res);
    Sql::dbClose();
?>