<?php
    // Aktion für Speichern von neu aus Konto-Buchung erzeugtem Planposten
    session_start();
    require("./_basics.php");
    require("./_classesPlanung.php");
    
    Sql::dbInit();
    if (!BC_checkSession())
        BC_sayAndDie("Keine g&uuml;ltige Anmeldung!");

    $res = array();
    $res["success"] = "no";

    Input::setSource("get");

    $kateg = Kategorie::findById(Input::getNumber("kategorie"));
    if (is_null($kateg))
        $res["message"] = "Fehler: Kategorie nicht vorhanden.";
    else {
        $konto = Konto::findById(Input::getNumber("konto"));
        if (is_null($konto))
            $res["message"] = "Fehler: Konto nicht vorhanden.";
        else {
            if (Input::getString("ID") == "new")
                $pp = PlanPosten::neu();
            else
                $pp = PlanPosten::findById(Input::getNumber("ID"));
            $pp->setText(Input::getString("text"));
            $pp->setKategorie($kateg);
            $pp->setKonto($konto);
            $pp->setBetrag(Input::getBetrag("betrag"));
            $pp->getBeginn()->set(Input::getString("beginn"));
            $pp->getEnde()->set(Input::getString("ende"));
            $pp->setTurnusArt(Input::getString("turnusArt"));
            $pp->setTurnusCount(Input::getNumber("turnusCount"));
            $pp->save();
            $res["message"] = "Planungs-Posten wurde gespeichert.";
            $res["success"] = "yes";
        }
    }

    echo json_encode($res);
    Sql::dbClose();
?>