<?php
    // Aktion für Speichern TextRegel-Daten durchführen
    session_start();
    require("./_basics.php");
    require("../model/TextRegel.php");
    
    Sql::dbInit();
    if (!BC_checkSession())
        BC_sayAndDie("Keine g&uuml;ltige Anmeldung!");

    $res = array();
    $res["success"] = "no";

    Input::setSource("get");
    $id = Input::getString("ID");
    $action = Input::getString("action");
    
    if ($action == "delete") {
        $tr = TextRegel::findById($id);
        if (is_null($tr))
            $res["message"] = "Fehler: Regel nicht vorhanden.";
        else {
            $tr->delete();
            $res["message"] = "Regel wurde gelöscht.";
            $res["success"] = "yes";
        }
    } else if ($action == "save") {
        if ($id == "neu")
            $tr = TextRegel::neu();
        else
            $tr = TextRegel::findById($id);

        if (is_null($tr))
            GlobalVars::push("messages", "Fehler: Regel nicht vorhanden.");
        else {
            $tr->setKeyString(Input::getString("keyString"));
            $tr->setToString(Input::getString("replString"));
            $tr->setSort(Input::getNumber("sort"));
            $tr->save();
            $res["message"] = "Daten wurden gespeichert.";
            $res["success"] = "yes";
        }
    } else
        $res["message"] = "Fehler: unbekannter Action-Code ".$action;

    echo json_encode($res);
    Sql::dbClose();
?>