<?php
    // Main-Element für Admin-Seite Select: Kategorien
    $inaktive = Input::getParam("inaktive");
    $filterChecked = "";
    if ($inaktive == "ja")
        Kategorie::setModusAlle();
    else
        $filterChecked = " checked";

    $kListe = Kategorie::getAll();
    $oKatListe = array();
?>
<main role="main" class="relative">
    <?php require("view/displayMessage.php"); ?>

    <table class="form">
        <tr>
            <td colspan="5">
                Filter: <input type="checkbox" id="chkAktive" name="aktive"<?=$filterChecked?>> nur aktive
            </td>
        </tr>
        <tr>
            <th>Art</th>
            <th>Bezeichnung</th>
            <th>Sort</th>
            <th>aktiv</th>
            <th>Aktion</th>
        </tr>
<?php
    foreach ($kListe as $ix => $k) {
        if ($k->istOberKategorie()) {
            $prefix = "";
            $oKateg= "";
            array_push($oKatListe, $k);
        } else {
            $prefix = "&gt;&gt;&gt;&nbsp;";
            $oKateg= " (".$k->getParent()->getBezeichnung().")";
        }
        if ($k->getAktiv())
            $aktiv = "ja";
        else
            $aktiv = "nein";
        if (KategorieManager::kategWirdVerwendet($k))
            $delImg = "";
        else
            $delImg = "<img data-art=\"delete\" src=\"./img/delete.png\">"
?>
        <tr class="data">
            <td><?=$k->getArtText()?><?=$oKateg?></td>
            <td><?=$prefix?><?=$k->getBezeichnung()?></td>
            <td><?=$k->getSort()?></td>
            <td><?=$aktiv?></td>
            <td data-id="<?=$k->getId()?>">
                <img data-art="edit" src="./img/edit.png">
                <?=$delImg?>
            </td>
        </tr>
<?php
    } // end foreach
?>
        <tr>
            <td>
                <select id="newKategArt">
                    <option value="o" selected>Oberkategorie</option>
                    <option value="u">Unterkategorie</option>
                </select>
                <div id="divParent">
                    unter 
                    <select id="newKategParent">
                        <?=BC_makeHtmlOptions($oKatListe, 1, false)?>
                    </select>
                </div>
            </td>
            <td><input id="newKategBez" size="30" value="" placeholder="neue Kategorie - Bezeichnung"></td>
            <td><input id="newKategSort" type="number" value="0"></td>
            <td><input id="newKategAktiv" type="checkbox" checked> aktiv</td>
            <td><button id="btnNew">neu</button></td>
        </tr>
    </table>
</main>