<?php
    // Main-Element für Planungs-Seite Select: bereinigen
    $konto = GlobalVars::getVar("konto");    
    $stichtag = new Datum("");
    $stichtag->set("01.01.".$stichtag->getJahr());
    $kListe = Konto::getAll();
?>
<main role="main" class="relative">
    <?php require("view/displayMessage.php"); ?>

    <table class="form">
        <tr>
            <td>
                Konto:
                <select id="selectKonto">
                    <?=BC_makeHtmlOptions($kListe, $konto->getId(), false)?>
                </select>
            </td>
            <td>Bereinigung: 
                <ul>
                    <li>Es werden alle Plan-Posten gel&ouml;scht, deren Ende-Datum vor dem Stichtag liegt.</li>
                    <li>Bei allen Turnus-Posten, deren Beginn vor dem Stichtag liegt, wird der Beginn auf
                        nach dem Stichtag verlegt.</li>
                </ul>
            </td>
            <td>
                Stichtag:
                <input id="stichtag" class="datum" size="10" value="<?=$stichtag->getDispFormat()?>" readonly>
            </td>
            <td>
                <button id="btnBereinigen" type="submit">jetzt bereinigen</button>
            </td>
        </tr>
    </table>
</main>
