<?php
    // Main-Element für Planungs-Seite Select: sollist
    Input::setSource("get");
    $kontoParm = Input::getString("konto");
    if ($kontoParm == "")
        $konto = Konto::getAny();
    else
        $konto = Konto::findById($kontoParm);
    
    $modus = "init";
    if (Input::getString("von") == "") {
        $von = new Datum("");
        $von->setToMonatsErster();
        $von->addMonths(-2);
        $bis = new Datum("");
    } else {
        $von = new Datum(Input::getString("von"));
        $bis = new Datum(Input::getString("bis"));
        PlanungManager::makePlanung($konto, $von, $bis);
        $modus = "geplant";
    }

    $kListe = Konto::getAll();
?>
<main role="main" class="relative">
    <?php require("view/displayMessage.php"); ?>

    <table class="form">
        <tr>
            <td>
                Konto:
                <select id="selectKonto">
                    <?=BC_makeHtmlOptions($kListe, $konto->getId(), false)?>
                </select>
            </td>
            <td>
                Vergleichs-Zeitraum von 
                <input id="vonDatum" class="datum" size="10" value="<?=$von->getDispFormat()?>" readonly>
            </td>
            <td>
                bis
                <input id="bisDatum" class="datum" size="10" value="<?=$bis->getDispFormat()?>" readonly>
            </td>
            <td>
                <button id="btnPlanen" type="submit">Planung erstellen</button>
            </td>
        </tr>
    </table>
<?php
    if ($modus == "geplant") {
        GlobalVars::setVar("Konto", $konto);
        GlobalVars::setVar("Beginn", $von);
        GlobalVars::setVar("Ende", $bis);
        require("./view/viewSollIst.php");
    }
?>
</main>
