<?php
    $bListe = GlobalVars::getVar("Buchungen");
    $sListe = KontoManager::getSaldenListe(GlobalVars::getVar("Konto"),
                GlobalVars::getVar("vonDatum"), GlobalVars::getVar("bisDatum"));
    if ($sListe[0] < 0)
        $sClass = " negativ";
    else
        $sClass = "";
?>
<table class="form">
    <tr>
        <th class="top" colspan="6">Buchungen chronologisch
        </th>
    </tr>
    <tr>
        <td colspan="2">Filter: 
            <input id="filterText" type="text" value="">
        </td>
        <td colspan="2"><button type="button" id="btnFilter">aktualisieren</button></td>
        <td colspan="2">(f&uuml;r Text und Kategorie)</td>
    </tr>
    <tr>
        <th>Datum</th>
        <th>Text</th>
        <th>Betrag</th>
        <th>Saldo</th>
        <th>Kategorie</th>
        <th>Aktion</th>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td>Start-Saldo</td>
        <td>&nbsp;</td>
        <td class="betrag<?=$sClass?>"><?=BC_moneyFormat($sListe[0])?> &euro;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>
<?php 
    foreach ($bListe as $ix => $b) { 
        $betrag = $b->getBetrag();
        $saldo = $sListe[$b->getId()];
        if ($betrag < 0)
            $bClass = " negativ";
        else
            $bClass = "";
        if ($saldo < 0)
            $sClass = " negativ";
        else
            $sClass = "";
        $k = $b->getKategorie();
        if (is_null($k)) {
            $kId = 0;
            $kBez = "-null-";
            $pId = 0;
        } else {
            $kParent = $k->getParent();
            $kId = $k->getId();
            $kBez = $k->getBezeichnung();
            $pId = $kParent->getId();
        }
        if (is_null($b->getUrsprung()))
            $uId = 0;
        else
            $uId = $b->getUrsprung()->getId();
?>
    <tr class="buchung" data-filter="<?=$b->getText()." ".$kBez?>">
        <td><?=$b->getDatum()->getDispFormat()?></td>
        <td><?=$b->getText()?></td>
        <td class="betrag<?=$bClass?>"><?=BC_moneyFormat($betrag)?> &euro;</td>
        <td class="betrag<?=$sClass?>"><?=BC_moneyFormat($saldo)?> &euro;</td>
        <td data-oberid="<?=$pId?>" data-unterid="<?=$kId?>">
            <?=$kBez?>
        </td>
        <td data-buchungid="<?=$b->getId()?>" data-ursprungid="<?=$uId?>">
<?php if ($uId == 0) { ?>
            <img class="action" data-action="edit" src="./img/edit.png">
            <img class="action" data-action="split" src="./img/split.png">
            <img class="action" data-action="delete" src="./img/delete.png">
<?php } else { ?>
            <img class="action" data-action="editSplit" data-ursprung="<?=$uId?>" src="./img/edit.png">
<?php } ?>
        </td>
    </tr>
<?php 
    } // Ende foreach (bListe)
    $oKatListe = Kategorie::getOberKategorien();
    $heute = new Datum("");
?>
    <tr id="showNew">
        <td class="center" colspan="6">neue Buchung</td>
    </tr>
    <tr id="trNew">
        <td><input id="newDatum" class="datum" size="10" value="<?=$heute->getDispFormat()?>" readonly></td>
        <td><input id="newText" size="30" value="" placeholder="neue Buchung" list="texte"></td>
        <td><input id="newBetrag" size="10" value="0,00"></td>
        <td>&nbsp;</td>
        <td>
            <select id="newOberKateg">
                <?=BC_makeHtmlOptions($oKatListe, 1, false)?>
            </select>
            <div id="divUnterKateg">&nbsp;</div>
        </td>
        <td><button id="btnNew" type="button">neu</button></td>
    </tr>
</table>
<datalist id="texte"></datalist>
