<?php
    $bListe = GlobalVars::getVar("Buchungen");
    $okListe = Kategorie::getOberKategorien();
    $kListe = Kategorie::getAll();
    $katBtrg = array();
    $gesBtrg = 0;
?>
<table class="form">
    <tr>
        <th colspan="4" class="top">Buchungen nach Kategorie</th>
    </tr>
    <tr>
        <th>Datum</th>
        <th>Text</th>
        <th>Betrag</th>
        <th>Aktion</th>
    </tr>
<?php
    foreach ($okListe as $ix1 => $k1) {
        $oId = $k1->getId();
        $katBtrg[$oId] = 0;
        $oClassOpen = "kat".$oId;
        $oClassClose = "sub".$oId;
        foreach ($kListe as $ix2 => $k2) {
            if ($k2->istUnterKategorie() && $k2->getParent()->equals($k1)) {
                $uId = $k2->getId();
                $katBtrg[$uId] = 0;
                $uClass = "buc".$uId;
                foreach ($bListe as $ix3 => $b) {
                    if (!is_null($b->getKategorie()) && $b->getKategorie()->equals($k2)) {
                        $katBtrg[$k2->getId()] += $b->getBetrag();
                        if ($b->getBetrag() < 0)
                            $bClass = " negativ";
                        else
                            $bClass = "";
?>
    <tr class="hideFirst buchung <?=$uClass?> <?=$oClassClose?>">
        <td><?=$b->getDatum()->getDispFormat()?></td>
        <td><?=$b->getText()?></td>
        <td class="betrag<?=$bClass?>"><?=BC_moneyFormat($b->getBetrag())?> &euro;</td>
        <td>&nbsp;</td>
    </tr>
<?php
                    } // Ende if "Buchung ist in aktueller Kategorie"
                } // Ende foreach (buchung)
                if ($katBtrg[$uId] < 0)
                    $bClass = " negativ";
                else
                    $bClass = "";
?>
    <tr class="hideFirst subkateg <?=$oClassOpen?> <?=$oClassClose?>">
        <th colspan="2">&nbsp;&gt;&gt;&gt;&nbsp;<?=$k2->getBezeichnung()?></th>
        <td class="betrag<?=$bClass?>"><?=BC_moneyFormat($katBtrg[$uId])?> &euro;</td>
        <td data-open="<?=$uClass?>" data-close="<?=$uClass?>">
            <img class="expand" src="./img/expand.png">
            <img class="collapse" src="./img/collapse.png">
        </td>
    </tr>
<?php
                    $katBtrg[$oId] += $katBtrg[$uId];
            } // Ende if "ist Unterkategorie unter aktuellem Parent"
        } // Ende foreach Unterkategorie
        if ($katBtrg[$oId] < 0)
            $bClass = " negativ";
        else
            $bClass = "";
?>
    <tr>
        <th colspan="2"><?=$k1->getBezeichnung()?></th>
        <td class="betrag<?=$bClass?>"><?=BC_moneyFormat($katBtrg[$oId])?> &euro;</td>
        <td data-open="<?=$oClassOpen?>" data-close="<?=$oClassClose?>">
            <img class="expand" src="./img/expand.png">
            <img class="collapse" src="./img/collapse.png">
        </td>
    </tr>
<?php
            $gesBtrg += $katBtrg[$oId];
    } // Ende foreach Oberkategorie
    if ($gesBtrg < 0)
        $bClass = " negativ";
    else
        $bClass = "";
?>
    <tr>
        <th colspan="2">Gesamt-Bilanz</th>
        <td class="betrag<?=$bClass?>"><?=BC_moneyFormat($gesBtrg)?> &euro;</td>
        <td>&nbsp;</td>
    </tr>
</table>