<?php
    $konto = GlobalVars::getVar("Konto");
    $von = GlobalVars::getVar("Beginn");
    $bis = GlobalVars::getVar("Ende");
    $saldo = KontoManager::getSaldo($konto, $von);
    if ($saldo < 0)
        $sClass = " negativ";
    else
        $sClass = "";
    $bListe = Buchung::findByParms($konto, "p", $von, $bis);
?>
<table class="form">
    <tr>
        <th class="top" colspan="6">Prognose anhand Plan-Buchungen
        </th>
    </tr>
    <tr>
        <th>Datum</th>
        <th>Text</th>
        <th>Betrag</th>
        <th>Saldo</th>
        <th>Kategorie</th>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td>Start-Saldo</td>
        <td>&nbsp;</td>
        <td class="betrag<?=$sClass?>"><?=BC_moneyFormat($saldo)?> &euro;</td>
        <td>&nbsp;</td>
    </tr>
<?php 
    foreach ($bListe as $ix => $b) { 
        $betrag = $b->getBetrag();
        $saldo = $saldo + $betrag;
        if ($betrag < 0)
            $bClass = " negativ";
        else
            $bClass = "";
        if ($saldo < 0)
            $sClass = " negativ";
        else
            $sClass = "";
        $k = $b->getKategorie();
        if (is_null($k)) {
            $kId = 0;
            $kBez = "-null-";
            $pId = 0;
        } else {
            $kParent = $k->getParent();
            $kId = $k->getId();
            $kBez = $k->getBezeichnung();
            $pId = $kParent->getId();
        }
?>
    <tr>
        <td><?=$b->getDatum()->getDispFormat()?></td>
        <td><?=$b->getText()?></td>
        <td class="betrag<?=$bClass?>"><?=BC_moneyFormat($betrag)?> &euro;</td>
        <td class="betrag<?=$sClass?>"><?=BC_moneyFormat($saldo)?> &euro;</td>
        <td><?=$kBez?></td>
    </tr>
<?php 
    } // Ende foreach (bListe)
?>
</table>