<?php
    // Aktion für Bearbeitung Buchungs-Splitting durchführen
    Input::setSource("get");
    $action = Input::getString("action");

    if ($action == "new") {
        $uId= Input::getNumber("ID");
        $ub = Buchung::findById($uId);
        if (is_null($ub))
            BC_sayAndDie("Fehler: Ursprungs-Buchung nicht vorhanden!");
        $kateg = Kategorie::findById(Input::getNumber("kategorie"));
        if (is_null($kateg))
            BC_sayAndDie("Fehler: Kategorie nicht vorhanden.");
        $ub->setStatus("u");
        $ub->save();
        $b = Buchung::neu();
        $b->setKonto($ub->getKonto());
        $b->setDatum($ub->getDatum());
        $b->setBetrag(Input::getBetrag("betrag"));
        $b->setText(Input::getString("text"));
        $b->setStatus("a");
        $b->setKategorie($kateg);
        $b->setUrsprung($ub);
        $b->save();
    } else if ($action == "delete") {
        $b = Buchung::findById(Input::getNumber("delID"));
        if (is_null($b))
            BC_sayAndDie("Fehler: Buchung nicht vorhanden!");
        $b->delete();
        GlobalVars::push("messages", "Teil-Buchung wurde gelöscht.");
        $b = Buchung::findById(Input::getNumber("ID"));
        if (is_null($b))
            BC_sayAndDie("Fehler: Ursprungs-Buchung nicht vorhanden!");
        $tb = $b->getTeilbuchungen();
        if (count($tb) == 0) {
            $b->setStatus("a");
            GlobalVars::push("messages", "Buchungs-Split wurde aufgehoben.");
            $b->save();
        }
    }
?>