<?php
    // Aktion für Import-Seite durchführen
    Input::setSource("post");

    require("./control/importUpload.php");
    if (GlobalVars::getVar("upload_ok")) {
        $konto = Konto::findById(Input::getNumber("konto"));
        GlobalVars::setVar("konto", $konto);
        $count = 0;
        $iFile = fopen("./data/import.txt", "r");
        while ($line = fgets($iFile)) {
            $parts = explode("\t", Input::fixCoding($line));
            $b = Buchung::neu();
            $b->setKonto($konto);
            $b->getDatum()->set($parts[0]);
            $betrag = str_replace(",", ".", $parts[1]);
            $b->setBetrag($betrag);
            $b->setText($parts[2]);
            TextRegel::applyToBuchung($b);
            $b->setStatus("i");
            if (isset($parts[3])) {
                // echo "<br>Import-Kateg: &gt;".$parts[3]."&lt;";
                $kateg = Kategorie::findBySort(trim($parts[3]));
                if (!is_null($kateg))
                    $b->setKategorie($kateg);
            } else {
                $kateg = Regel::getKategFromText($b->getText());
                $b->setKategorie($kateg);
            }
            $b->save();
            $count++;
        }
        fclose($iFile);
        GlobalVars::push("messages", $count." Buchungen importiert.");
    }
?>