<?php
    function makeImportBuchung($row) {
        $parts = explode(";", $row);
        $konto = GlobalVars::getVar("konto");
        $b = Buchung::neu();
        $b->setKonto($konto);
        $b->getDatum()->set($parts[1]);
        $betrag = str_replace(".", "", $parts[7]);
        $betrag = str_replace(",", ".", $betrag);
        $b->setBetrag($betrag);
        $b->setText(Input::fixCoding($parts[4]));
        TextRegel::applyToBuchung($b);
        $b->setStatus("i");
        $kateg = Regel::getKategFromText($b->getText());
        $b->setKategorie($kateg);
        $b->save();
    }

    // Aktion für Import-Seite durchführen
    Input::setSource("post");

    require("./control/importUpload.php");
    if (GlobalVars::getVar("upload_ok")) {
        $konto = Konto::findById(Input::getNumber("konto"));
        GlobalVars::setVar("konto", $konto);
        $count = 0;
        $iFile = fopen("./data/import.txt", "r");
        $status = "start";
        while ($line = fgets($iFile)) {
            $line = trim($line);
            $lastPos = strlen($line) - 1;
            if ($status == "start" && substr($line, 0, 14) == "Buchung;Valuta")
                $status = "buchung";     // nächste Zeile ist Buchungs-Beginn
            else if ($status == "buchung" && $line == "")
                $status = "ende";
            else if ($status == "buchung") {
                makeImportBuchung($line);
                $count++;
            }
        }
        fclose($iFile);
        GlobalVars::push("messages", $count." Buchungen importiert.");
    }
?>