<?php
    function makeImportBuchung($row) {
        $parts = str_getcsv($row, ";");
        $konto = GlobalVars::getVar("konto");
        $b = Buchung::neu();
        $b->setKonto($konto);
        $b->getDatum()->set($parts[1]);
        $betrag = str_replace(".", "", $parts[11]);
        $betrag = str_replace(",", ".", $betrag);
        if ($parts[12] == "S")
            $betrag = $betrag * -1;
        $b->setBetrag($betrag);
        $b->setText(Input::fixCoding($parts[3]." ".$parts[8]));
        TextRegel::applyToBuchung($b);
        $b->setStatus("i");
        $kateg = Regel::getKategFromText($b->getText());
        $b->setKategorie($kateg);
        $b->save();
    }

    // Aktion für Import-Seite durchführen
    Input::setSource("post");

    require("./control/importUpload.php");
    if (GlobalVars::getVar("upload_ok")) {
        $konto = Konto::findById(Input::getNumber("konto"));
        GlobalVars::setVar("konto", $konto);
        $count = 0;
        $iFile = fopen("./data/import.txt", "r");
        $status = "start";
        $bRow = "";
        while ($line = fgets($iFile)) {
            $line = trim($line);
            $lastPos = strlen($line) - 1;
            if ($status == "start" && substr($line, 1, 11) == "Buchungstag")
                $status = "bStart";     // nächste Zeile ist Buchungs-Beginn
            else if ($status == "bStart" && $line == "")
                $status = "ende";
            else if ($status == "bStart" && substr($line, $lastPos) == "\"") {
                $bRow = $line;
                makeImportBuchung($bRow);
                $count++;
                $status = "bStart";
            } else if ($status == "bStart") {
                $bRow = $line;
                $status = "bForts";
            } else if ($status == "bForts" && substr($line, $lastPos) == "\"") {
                $bRow .= $line;
                makeImportBuchung($bRow);
                $count++;
                $status = "bStart";
            } else if ($status == "bForts")
                $bRow .= $line;
        }
        fclose($iFile);
        GlobalVars::push("messages", $count." Buchungen importiert.");
    }
?>