<?php
    // Konto-Seite anzeigen für das per Select-Parameter gewählte Konto
    // GlobalVars für HTML-Rahmen setzen
    $select = Input::getParam("select");
    $konto = null;
    if ($select == "") {
        $select = "dashboard";
        $konto = Konto::getAny();
    } else if (is_numeric($select)) {
        $konto = Konto::findById($select);
    } else if ($select == "split") {
        $id = Input::getParam("ID");
        $buchung = Buchung::findById($id);
        if (is_null($buchung))
            BC_sayAndDie("Fehler: Buchung nicht vorhanden");
        $konto = $buchung->getKonto();
    } else if ($select == "dashboard") {
        $konto = Konto::getAny();
    }
    if (is_null($konto))
        BC_sayAndDie("Fehler: Konto nicht vorhanden oder ungültiger Select-Parameter");

    if ($select == "split") {
        require("./control/splitAction.php");
        GlobalVars::setVar("title", "Gesplittete Buchung bearbeiten");
        GlobalVars::setVar("main", "mainSplit.php");
        GlobalVars::push("script", "split.js");
        GlobalVars::setVar("Buchung", $buchung);
    } else if ($select == "dashboard") {
        require("./model/ME_Saldo.php");
        require("./control/KontoManager.php");
        GlobalVars::setVar("title", "&Uuml;bersicht Kontenst&auml;nde");
        GlobalVars::setVar("main", "mainDashboard.php");
    } else {
        // select mit Konto --> Buchungsübersicht
        $select = "kto".$konto->getId();
        require("./model/ME_Saldo.php");
        require("./control/KontoManager.php");
        require("./control/kontoAction.php");
        GlobalVars::setVar("title", "Konto ".$konto->getBezeichnung());
        GlobalVars::setVar("main", "mainKonto.php");
        GlobalVars::push("style", "jquery-ui.min.css"); // für Datepicker
        GlobalVars::push("script", "jquery-ui.min.js"); // für Datepicker
        GlobalVars::push("script", "buchungEdit.js");
        GlobalVars::push("script", "konto.js");
        GlobalVars::push("div", "dlgConfirm.php");
        GlobalVars::push("div", "dlgModal.php");
        GlobalVars::setVar("Konto", $konto);
    }

    GlobalVars::setVar("itemSelected", $select);

    // HTML-Rahmen aufrufen
    require("HTML-Rahmen.php");
?>
