/**
 * Skript für Navigations-Menü für G# Gemeinde-Planer
 */
$(document).ready(function() {
    var _menuOpen = undefined,
        _menuOpenName = undefined,
        _initMenu = function(){},
        _menuClick = function(){},
        _itemClick = function(){},
    endvar;
    
    // Initialisierung geöffnete und geschlossene Menüs
    _initMenu = function() {
        _menuOpen = $("div.open");
        _menuOpenName = _menuOpen.data("menu");
        $("div.subMenu").hide();
        $("div." + _menuOpenName).show();
    };
    
    // Klick auf Menü: Zu- und Aufklappen je nach Zustand
    _menuClick = function(event) {
        var _targetDiv = $(event.target).parent("div");
        if (_targetDiv.hasClass("item"))
            return;
        if (_targetDiv.hasClass("subMenu"))
            return;
        // Bisher offenes Menü auf jeden Fall schließen
        $("div." + _menuOpenName).slideUp(300);
        
        if (_targetDiv.hasClass("open")) {
            _menuOpen.removeClass("open");
            _menuOpen = undefined;
            _menuOpenName = undefined;
        } else {
            if (_menuOpen != undefined)
                _menuOpen.removeClass("open");
            _targetDiv.addClass("open");
            _menuOpen = _targetDiv;
            _menuOpenName = _menuOpen.data("menu");
            $("div." + _menuOpenName).slideDown(300);
        }
    };

    // Klick auf Menü-Item: Link verfolgen:
    _itemClick = function(event) {
        var _targetUrl = $(event.target).parent("div").data("url");
        if (_targetUrl != undefined)
            window.location = _targetUrl;
    };
    
    // Initialisierungen nach Laden der Seite
    $("div.menu").on("click", _menuClick);
    $("div.item").on("click", _itemClick);
    _initMenu();
});