/**
 * Skript: Bereitstellung Funktionen für Edit-Formular für Planposten
 */

var bc = window.bc || {};

// Formular initialisieren
bc.ppEditInit = function(clickCallback) {
    bc.initDatumInput();
    $("#editOberKateg").on("change", bc.ppEditOkChange);
    $("#editTurnusArt").on("change", bc.ppEditTurnusChange);
    $("#btnEditSave").on("click", clickCallback);
};

bc.ppEditOkChange = function() {
    var _url = "./service/getKategSelect.php",
        _request = undefined,
    _endvar;

    _url += "?selectid=editUnterKateg&ID=" + $("#editOberKateg").val();
    _request = $.ajax({url: _url, dataType: "html"});
    _request
        .done(function(data){
            $("#tdUnterKateg").html(data);
        })
        .fail(bc.requestFail);
};

bc.ppEditTurnusChange = function() {
    if ($("#editTurnusArt").val() == "e") {
        $("#divEditTurnusCount").hide();
        $("#editEnde").val("31.12.2099").hide();
    } else {
        $("#divEditTurnusCount").show();
        $("#editEnde").show();
    }
};

bc.ppEditSaveParams = function() {
    return "ID=" + $("#editId").val() +
        "&konto=" + $("#editKonto").val() +
        "&text=" + $("#editPostenText").val() +
        "&kategorie=" + $("#editUnterKateg").val() +
        "&betrag=" + $("#editBetrag").val() +
        "&beginn=" + $("#editBeginn").val() + 
        "&ende=" + $("#editEnde").val() + 
        "&turnusArt=" + $("#editTurnusArt").val() +
        "&turnusCount=" + $("#editTurnusCount").val();
};
