<?php
class GlobalVars {
    private static $vars = array();
    
    private static function getVersion() {
        if (file_exists("./util/bc_version.txt"))
            $vPath = "./util/";
        else
            $vPath = "../util/";
        $vFile = fopen($vPath."bc_version.txt", "r");
        self::$vars["version"] = trim(fgets($vFile));
        fclose($vFile);
    }

    static function init() {
        self::$vars["style"] = array();
        self::$vars["script"] = array();
        self::$vars["messages"] = array();
        self::$vars["div"] = array();
        self::$vars["PathPrefix"] = "../";
        self::$vars["SearchUml"] = array("ä","ö","ü","Ä","Ö","Ü","ß", "&apos;");
        self::$vars["SearchAscii"] = array("a","o","u","A","O","U","s", "´");
        self::getVersion();
    }
    
    static function setVar($name, $val) {
        self::$vars[$name] = $val;
    }
    
    static function getVar($name) {
        return self::$vars[$name];
    }
    
    static function push($name, $val) {
        array_push(self::$vars[$name], $val);
    }

    static function getMessagesString() {
        $erg = "";
        $separ = "";
        foreach (self::$vars["messages"] as $ix => $msg) {
            $erg .= $separ.$msg;
            $separ = "--";
        }
        return $erg;
    }
} // Ende Klasse GlobalVars
?>
