<?php
    // Login prüfen, bei Erfolg User-Daten in Session übernehmen
    function BC_checkLogin($pw) {
        // wenn keine Login-Daten --> ggf. vorhandene Session prüfen
        if ($pw == "")
            return BC_checkSession();
            
        if (file_exists("./index.php"))
            GlobalVars::setVar("PathPrefix", "./");
        
        // Passwort verifizieren
        if (hash("sha256", $pw) != LocalSettings::$passHash) {
            // fehlerhafter Login --> ggf. vorhandene Session zerstören
            $_SESSION = array();
            session_destroy();
            return false;
        }
        
        //erfolgreicher Login: Session-Daten setzen
        $_SESSION["verified"] = true;
        return true;
    }
    
    // Vorhandene Session prüfen
    function BC_checkSession() {
        if (file_exists("./index.php"))
            GlobalVars::setVar("PathPrefix", "./");
        if (isset($_SESSION["verified"]))
            return true;
        return false;
    }

?>