<?php
    // Formular zur Bearbeitung einer Buchung liefern
    $bu = GlobalVars::getVar("Buchung");
    $betrag = BC_moneyFormat($bu->getBetrag());
    $oKatListe = Kategorie::getOberKategorien();
    $kateg = $bu->getKategorie();
    if (is_null($kateg))
        $kategParentId = 0;
    else
        $kategParentId = $bu->getKategorie()->getParent()->getId();
?>
<table class="form">
    <tr>
        <th class"top" colspan="3">Bearbeitung Buchung</th>
    </tr>
    <tr>
        <td class="head">Datum:</td>
        <td colspan="2"><input id="editDatum" class="datum" size="10" value="<?=$bu->getDatum()->getDispFormat()?>" readonly></td>
    </tr>
    <tr>
        <td class="head">Text:</td>
        <td colspan="2"><input id="editText" size="40" value="<?=$bu->getText()?>"></td>
    </tr>
    <tr>
        <td class="head">Betrag:</td>
        <td colspan="2"><input id="editBetrag" size="7" value="<?=$betrag?>"> &euro;</td>
    </tr>
    <tr>
        <td class="head">Kategorie:</td>
        <td>
            <select id="editOberKateg">
                <?=BC_makeHtmlOptions($oKatListe, $kategParentId, false)?>
            </select>
        </td>
        <td id="tdUnterKateg">
<?php if (!is_null($kateg)) {
        $uKatListe = $kateg->getParent()->getUnterKategorien();
?>
            <select id="editUnterKateg">
                <?=BC_makeHtmlOptions($uKatListe, $kateg->getId(), false)?>
            </select>
<?php } ?>
        </td>
    </tr>
    <tr>
        <td class="head">&nbsp;</td>
        <td colspan="2">
            <input id="editId" type="hidden" value="<?=$bu->getId()?>">
            <input id="editKonto" type="hidden" value="<?=$bu->getKonto()->getId()?>">
            <button id="btnEditSave">speichern</button>
        </td>
    </tr>
</table>