<?php
    // Formular zur Bearbeitung eines Planpostens liefern
    $pp = GlobalVars::getVar("PlanPosten");
    $oKatListe = Kategorie::getOberKategorien();
    $uKatListe = $pp->getKategorie()->getParent()->getUnterKategorien();
    $turnusSelect = PlanPosten::getTurnusListe();
?>
<table class="form">
    <tr>
        <th class"top" colspan="3"><?=GlobalVars::getVar("FormHead")?></th>
    </tr>
    <tr>
        <td class="head">Text:</td>
        <td colspan="2"><input id="editPostenText" size="40" value="<?=$pp->getText()?>"></td>
    </tr>
    <tr>
        <td class="head">Kategorie:</td>
        <td>
            <select id="editOberKateg">
                <?=BC_makeHtmlOptions($oKatListe, $pp->getKategorie()->getParent()->getId(), false)?>
            </select>
        </td>
        <td id="tdUnterKateg">
            <select id="editUnterKateg">
                <?=BC_makeHtmlOptions($uKatListe, $pp->getKategorie()->getId(), false)?>
            </select>
        </td>
    </tr>
    <tr>
        <td class="head">Betrag:</td>
        <td colspan="2"><input id="editBetrag" size="7" value="<?=$pp->getBetrag()?>"> &euro;</td>
    </tr>
    <tr>
        <td class="head">Beginn:</td>
        <td colspan="2"><input id="editBeginn" class="datum" size="10" value="<?=$pp->getBeginn()->getDispFormat()?>" readonly></td>
    </tr>
    <tr>
        <td class="head">Ende:</td>
        <td colspan="2"><input id="editEnde" class="datum" size="10" value="<?=$pp->getEnde()->getDispFormat()?>" readonly></td>
    </tr>
    <tr>
        <td class="head">Turnus:</td>
        <td>
            <div id="divEditTurnusCount">
                alle <input id="editTurnusCount" size="5" value="<?=$pp->getTurnusCount()?>">
            </div>
        </td>
        <td>
            <select id="editTurnusArt">
                <?=BC_makeHtmlOptions($turnusSelect, $pp->getTurnusArt(), false)?>
            </select>
        </td>
    </tr>
    <tr>
        <td class="head">&nbsp;</td>
        <td colspan="2">
            <input id="editId" type="hidden" value="<?=GlobalVars::getVar("PP-ID")?>">
            <input id="editKonto" type="hidden" value="<?=$pp->getKonto()->getId()?>">
            <button id="btnEditSave">speichern</button>
        </td>
    </tr>
</table>