<?php
    // Main-Element für Admin-Seite Select: Regeln
    $rListe = Regel::getAll();
    $oKatListe = Kategorie::getOberKategorien();
?>
<main role="main" class="relative">
    <?php require("view/displayMessage.php"); ?>

    <table class="form">
        <tr>
            <td colspan="4">Kategorie-Zuweisungsregeln bei Buchungs-&Uuml;bernahme nach Import
                (<u>Nicht</u> Gro&szlig;-/Kleinschreibungs-sensitiv).<br>
                Sort-Nummer definiert die Reihenfolge der Regel-Anwendung.
            </td>
        </tr>
        <tr>
            <th>Schl&uuml;ssel-Text</th>
            <th>Kategorie</th>
            <th>Sort</th>
            <th>Aktion</th>
        </tr>
<?php
    foreach ($rListe as $ix => $r) {
        $kateg = $r->getKategorie();
?>
        <tr class="data">
            <td><?=$r->getKeyString()?></td>
            <td data-oberid="<?=$kateg->getParent()->getId()?>" data-unterid="<?=$kateg->getId()?>">
                <?=$kateg->getBezeichnung()?>
            </td>
            <td><?=$r->getSort()?></td>
            <td data-id="<?=$r->getId()?>">
                <img data-art="edit" src="./img/edit.png">
                <img data-art="delete" src="./img/delete.png">
            </td>
        </tr>
<?php
    } // end foreach
?>
        <tr id="trNew">
            <td><input id="newRegelKeyString" size="30" value="" placeholder="neue Regel - Key-String"></td>
            <td>
                <select id="newOberKateg">
                    <?=BC_makeHtmlOptions($oKatListe, 1, false)?>
                </select>
                <div id="divUnterKateg">&nbsp;</div>
            </td>
            <td><input id="newRegelSort" type="number" value="0"></td>
            <td><button id="btnNew">neu</button></td>
        </tr>
    </table>
</main>