<?php
    // Main-Element für Konten-Übersicht
    Input::setSource("get");
    $konten = Konto::getAll();
    $sGesamt = 0;

    // Auf Aktualität der Version prüfen:
    $version = BC_checkVersion();
    if ($version == "noConnection")
        GlobalVars::push("messages", "Keine Online-Verbindung zum Versions-Verzeichnis.");
    else if ($version != "aktuell")
        GlobalVars::push("messages", "Aktuellere Version (".$version.") vorhanden auf hoetzer-online.de.");
?>
<main role="main" class="relative">
    <?php require("view/displayMessage.php"); ?>

    <table class="form">
        <tr>
            <th>Konto</th>
            <th>letzte Buchung am</th>
            <th>aktueller Saldo</th>
        </tr>
<?php
    foreach ($konten as $ix => $kto) {
        $lDat = Buchung::getLetztesDatum($kto);
        $sKto = KontoManager::getSaldo($kto, $lDat);
        $sGesamt += $sKto;
        if ($sKto < 0)
            $sClass = " negativ";
        else
            $sClass = "";
?>
        <tr>
            <td><?=$kto->getBezeichnung()?></td>
            <td><?=$lDat->getDispFormat()?></td>
            <td class="betrag<?=$sClass?>"><?=BC_moneyFormat($sKto)?> &euro;</td>
        </tr>
<?php
    }
    if ($sGesamt < 0)
        $sClass = " negativ";
    else
        $sClass = "";
?>
        <tr>
            <th colspan="2">Gesamt-Saldo</th>
            <td class="betrag<?=$sClass?>"><?=BC_moneyFormat($sGesamt)?> &euro;</td>
        </tr>
    </table>
</main>