<?php
    // Main-Element für Konto-Anzeige
    Input::setSource("get");
    $konto = GlobalVars::getVar("Konto");
    if (Input::getString("von") == "")
        $mode="Chron";
    else
        $mode = Input::getString("mode");
    $iaChecked = "";
    if (Input::isChecked("inaktive")) {
        $iaChecked = " checked";
        Kategorie::setModusAlle();
    }
    $von = GlobalVars::getVar("vonDatum");
    $bis = GlobalVars::getVar("bisDatum");
    GlobalVars::setVar("Buchungen", Buchung::findByParms($konto, "a", $von, $bis));
?>
<main role="main" class="relative">
    <?php require("view/displayMessage.php"); ?>

    <p>Buchungen von 
        <input id="vonDatum" class="datum" size="10" value="<?=$von->getDispFormat()?>" readonly>
        bis
        <input id="bisDatum" class="datum" size="10" value="<?=$bis->getDispFormat()?>" readonly>
        <button type="button" id="btnChron" class="refresh" data-parm="Chron">chronologisch</button>
        <button type="button" id="btnKateg" class="refresh" data-parm="Kateg">nach Kategorie</button>
        <input type="checkbox" id="chkInaktive"<?=$iaChecked?>> incl. inaktive Kategorien
        <input type="hidden" id="kontoId" value="<?=$konto->getId()?>">
    </p>
<?php require("view/viewKonto".$mode.".php"); ?>
</main>