<?php
    // Main-Element für Planungs-Seite Select: jahresplan
    Input::setSource("get");
    $kontoParm = Input::getString("konto");
    if ($kontoParm == "") {
        $modus = "select";
        $konto = Konto::getAny();
    } else {
        $modus = "plan";
        $konto = Konto::findById($kontoParm);
    }
    
    $kListe = Konto::getAll();
    $von = new Datum("");
    $von->set("01.01.".$von->getJahr());
    $bis = new Datum ("31.12.".$von->getJahr());
?>
<main role="main" class="relative">
    <?php require("view/displayMessage.php"); ?>

    <table class="form">
        <tr>
            <td>
                Konto:
                <select id="selectKonto">
                    <?=BC_makeHtmlOptions($kListe, $konto->getId(), false)?>
                </select>
            </td>
            <td>
                Planung von <?=$von->getDispFormat()?> bis <?=$bis->getDispFormat()?>
            </td>
            <td>
                <button id="btnPlanen" type="submit">Planung erstellen</button>
            </td>
        </tr>
    </table>
<?php
    if ($modus == "plan") {
        PlanungManager::makePlanung($konto, $von, $bis);
        GlobalVars::setVar("Konto", $konto);
        GlobalVars::setVar("Beginn", $von);
        GlobalVars::setVar("Ende", $bis);
        require("./view/viewJahresplan.php");
    }
?>
</main>
