<?php
    // Main-Element für Planungs-Seite Select: predict
    Input::setSource("get");
    $kontoParm = Input::getString("konto");
    if ($kontoParm == "")
        $konto = Konto::getAny();
    else
        $konto = Konto::findById($kontoParm);
    
    $modus = "init";
    $von = Buchung::getLetztesDatum($konto);
    $von->addDays(1);
    if (Input::getString("bis") == "") {
        $bis = new Datum("");
        $bis->addMonths(2);
        $bis->setToMonatsLetzter();
    } else {
        $bis = new Datum(Input::getString("bis"));
        PlanungManager::makePlanung($konto, $von, $bis);
        $modus = "geplant";
    }

    $kListe = Konto::getAll();
?>
<main role="main" class="relative">
    <?php require("view/displayMessage.php"); ?>

    <table class="form">
        <tr>
            <td>
                Konto:
                <select id="selectKonto">
                    <?=BC_makeHtmlOptions($kListe, $konto->getId(), false)?>
                </select>
            </td>
            <td>Prognosen-Start am <?=$von->getDispFormat()?></td>
            <td>
                Verlaufs-Prognose bis
                <input id="bisDatum" class="datum" size="10" value="<?=$bis->getDispFormat()?>" readonly>
            </td>
            <td>
                <button id="btnPlanen" type="submit">Planung erstellen</button>
            </td>
        </tr>
    </table>
<?php
    if ($modus == "geplant") {
        GlobalVars::setVar("Konto", $konto);
        GlobalVars::setVar("Beginn", $von);
        GlobalVars::setVar("Ende", $bis);
        require("./view/viewPredict.php");
    }
?>
</main>
