<?php
    $konto = GlobalVars::getVar("konto");
    $von = new Datum("2000-01-01");
    $bis = new Datum("2099-12-31");
    $bListe = Buchung::findByParms($konto, "i", $von, $bis);
    if (count($bListe) > 0) {
?>
<table class="form">
    <tr>
        <th class="top" colspan="4">Importierte Buchungen - Konto <?=$konto->getBezeichnung()?></th>
        <th class="top">alle <img class="action" data-action="acceptAll" src="./img/ok.png"></th>
    </tr>
    <tr>
        <th>Datum</th>
        <th>Text</th>
        <th>Betrag</th>
        <th>Kategorie</th>
        <th>Aktion</th>
    </tr>
    <?php 
        foreach ($bListe as $ix => $b) { 
            $betrag = $b->getBetrag();
            if ($betrag < 0)
                $bClass = " negativ";
            else
                $bClass = "";
            $k = $b->getKategorie();
            if (is_null($k)) {
                $kId = 0;
                $kBez = "-null-";
            } else {
                $kId = $k->getId();
                $kBez = $k->getBezeichnung();
            }
?>
    <tr class="buchung">
        <td><?=$b->getDatum()->getDispFormat()?></td>
        <td><input type="text" class="text" size="60" value="<?=$b->getText()?>" list="texte"></td>
        <td class="betrag<?=$bClass?>"><?=BC_moneyFormat($betrag)?> &euro;</td>
        <td data-kategid="<?=$kId?>">
            <?=$kBez?>
        </td>
        <td data-buchungid="<?=$b->getId()?>">
            <img class="action" data-action="accept" src="./img/ok.png">
            <img class="action" data-action="delete" src="./img/delete.png">
        </td>
    </tr>
<?php 
        } // Ende foreach (bListe)
    } // Ende if (count > 0)
?>
    <datalist id="texte"></datalist>
</table>