<?php
    $konto = GlobalVars::getVar("Konto");
    $von = GlobalVars::getVar("Beginn");
    $bis = GlobalVars::getVar("Ende");

    $bucListe = Buchung::findByParms($konto, "p", $von, $bis);
    $gesBtrgPlan = 0;

    $okListe = Kategorie::getOberKategorien();
    $kListe = Kategorie::getAll();
?>
<table class="form">
    <tr>
        <th colspan="4" class="top">Jahresplanung</th>
    </tr>
    <tr>
        <th>Datum</th>
        <th>Text</th>
        <th>Plan-Betrag</th>
        <th>Aktion</th>
    </tr>
<?php
    foreach ($okListe as $ix1 => $k1) {
        $oId = $k1->getId();
        $oKatBtrgPlan = 0;
        $oClassOpen = "kat".$oId;
        $oClassClose = "sub".$oId;
        foreach ($kListe as $ix2 => $k2) {
            if ($k2->istUnterKategorie() && $k2->getParent()->equals($k1)) {
                $uId = $k2->getId();
                $uKatBtrgPlan = 0;
                $uClass = "buc".$uId;
                foreach ($bucListe as $ix3 => $b) {
                    if (!is_null($b->getKategorie()) && $b->getKategorie()->equals($k2)) {
                        $uKatBtrgPlan += $b->getBetrag();
                        $p = $b->getUrsprung();
                        if ($b->getBetrag() < 0)
                            $bClass = " negativ";
                        else
                            $bClass = "";
?>
    <tr class="hideFirst buchung <?=$uClass?> <?=$oClassClose?>">
        <td><?=$b->getDatum()->getDispFormat()?></td>
        <td><?=$b->getText()?></td>
        <td class="betrag<?=$bClass?>"><?=BC_moneyFormat($b->getBetrag())?> &euro;</td>
        <td data-id="<?=$p->getId()?>">
            <img class="action" data-art="edit" src="./img/edit.png">
            <img class="action" data-art="delete" src="./img/delete.png">
        </td>
    </tr>
<?php
                    } // Ende if (Buchung ist in aktueller Kategorie)
                } // Ende foreach (bucListe)
            if ($uKatBtrgPlan < 0) $planClass = " negativ"; else $planClass = "";
?>
    <tr class="hideFirst subkateg <?=$oClassOpen?> <?=$oClassClose?>">
        <th colspan="2">&nbsp;&gt;&gt;&gt;&nbsp;<?=$k2->getBezeichnung()?></th>
        <td class="betrag<?=$planClass?>"><?=BC_moneyFormat($uKatBtrgPlan)?> &euro;</td>
        <td data-open="<?=$uClass?>" data-close="<?=$uClass?>">
            <img class="expand" src="./img/expand.png">
            <img class="collapse" src="./img/collapse.png">
        </td>
    </tr>
<?php
                $oKatBtrgPlan += $uKatBtrgPlan;
            } // Ende if "ist Unterkategorie unter aktuellem Parent"
        } // Ende foreach Unterkategorie
        if ($oKatBtrgPlan < 0) $planClass = " negativ"; else $planClass = "";
?>
    <tr>
        <th colspan="2"><?=$k1->getBezeichnung()?></th>
        <td class="betrag<?=$planClass?>"><?=BC_moneyFormat($oKatBtrgPlan)?> &euro;</td>
        <td data-open="<?=$oClassOpen?>" data-close="<?=$oClassClose?>">
            <img class="expand" src="./img/expand.png">
            <img class="collapse" src="./img/collapse.png">
        </td>
    </tr>
<?php
            $gesBtrgPlan += $oKatBtrgPlan;
    } // Ende foreach Oberkategorie
    if ($gesBtrgPlan < 0) $planClass = " negativ"; else $planClass = "";
?>
    <tr>
        <th colspan="2">Gesamt-Bilanz</th>
        <td class="betrag<?=$planClass?>"><?=BC_moneyFormat($gesBtrgPlan)?> &euro;</td>
        <td>&nbsp;</td>
    </tr>
</table>