<?php
    $konto = GlobalVars::getVar("Konto");
    $von = GlobalVars::getVar("Beginn");
    $bis = GlobalVars::getVar("Ende");

    $istListe = Buchung::findByParms($konto, "a", $von, $bis);
    $planListe = Buchung::findByParms($konto, "p", $von, $bis);
    $gesBtrgIst = 0;
    $gesBtrgPlan = 0;

    $okListe = Kategorie::getOberKategorien();
    $kListe = Kategorie::getAll();
?>
<table id="tblBuchungen" class="form">
    <tr>
        <th colspan="6" class="top">Vergleich Plan vs. Konto</th>
    </tr>
    <tr>
        <th>Datum</th>
        <th>Text</th>
        <th>Plan</th>
        <th>Konto</th>
        <th>Differenz</th>
        <th>Aktion</th>
    </tr>
<?php
    foreach ($okListe as $ix1 => $k1) {
        $oId = $k1->getId();
        $oKatBtrgIst = 0;
        $oKatBtrgPlan = 0;
        $oClassOpen = "kat".$oId;
        $oClassClose = "sub".$oId;
        foreach ($kListe as $ix2 => $k2) {
            if ($k2->istUnterKategorie() && $k2->getParent()->equals($k1)) {
                $uId = $k2->getId();
                $uKatBtrgIst = 0;
                $uKatBtrgPlan = 0;
                $uClass = "buc".$uId;
                $bucListe = array();
                foreach ($planListe as $ix3 => $b) {
                    if (!is_null($b->getKategorie()) && $b->getKategorie()->equals($k2)) {
                        $uKatBtrgPlan += $b->getBetrag();
                        $bucListe[$b->getDatum()->getDbFormat()."-".$b->getId()] = $b;
                    } // Ende if "Buchung ist in aktueller Kategorie"
                } // Ende foreach (Plan-Buchung)
                foreach ($istListe as $ix3 => $b) {
                    if (!is_null($b->getKategorie()) && $b->getKategorie()->equals($k2)) {
                        $uKatBtrgIst += $b->getBetrag();
                        $bucListe[$b->getDatum()->getDbFormat()."-".$b->getId()] = $b;
                    } // Ende if "Buchung ist in aktueller Kategorie"
                } // Ende foreach (Konto-Buchung)
                ksort($bucListe); // gesammelte Buchungen nach Datum sortieren
                foreach ($bucListe as $ix3 => $b) {
                    if ($b->getBetrag() < 0)
                        $bClass = " negativ";
                    else
                        $bClass = "";
                    if ($b->getStatus() == "a") {
?>
    <tr class="hideFirst buchung <?=$uClass?> <?=$oClassClose?>">
        <td><?=$b->getDatum()->getDispFormat()?></td>
        <td><?=$b->getText()?></td>
        <td>&nbsp;</td>
        <td class="betrag<?=$bClass?>"><?=BC_moneyFormat($b->getBetrag())?> &euro;</td>
        <td>&nbsp;</td>
        <td data-id="<?=$b->getId()?>">
            <img data-art="convert" src="./img/convert.png">
        </td>
    </tr>
<?php
                    } else {
?>
    <tr class="hideFirst buchung <?=$uClass?> <?=$oClassClose?>">
        <td><?=$b->getDatum()->getDispFormat()?></td>
        <td><?=$b->getText()?></td>
        <td class="betrag<?=$bClass?>"><?=BC_moneyFormat($b->getBetrag())?> &euro;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td data-id="<?=$b->getUrsprung()->getId()?>">
            <img data-art="edit" src="./img/edit.png">
            <img data-art="delete" src="./img/delete.png">
        </td>
    </tr>
<?php
                    } // Ende if (BuchungsStatus = a) else
                } // Ende foreach (bucListe)
                $uKatDiff = $uKatBtrgIst - $uKatBtrgPlan;
                if ($uKatBtrgPlan < 0) $planClass = " negativ"; else $planClass = "";
                if ($uKatBtrgIst < 0) $istClass = " negativ"; else $istClass = "";
                if ($uKatDiff < 0) $diffClass = " negativ"; else $diffClass = "";
?>
    <tr class="hideFirst <?=$oClassOpen?> <?=$oClassClose?> subkateg">
        <th colspan="2">&nbsp;&gt;&gt;&gt;&nbsp;<?=$k2->getBezeichnung()?></th>
        <td class="betrag<?=$planClass?>"><?=BC_moneyFormat($uKatBtrgPlan)?> &euro;</td>
        <td class="betrag<?=$istClass?>"><?=BC_moneyFormat($uKatBtrgIst)?> &euro;</td>
        <td class="betrag<?=$diffClass?>"><?=BC_moneyFormat($uKatDiff)?> &euro;</td>
        <td data-open="<?=$uClass?>" data-close="<?=$uClass?>">
            <img class="expand" data-art="expand" src="./img/expand.png">
            <img class="collapse" data-art="collapse" src="./img/collapse.png">
        </td>
    </tr>
<?php
                $oKatBtrgPlan += $uKatBtrgPlan;
                $oKatBtrgIst += $uKatBtrgIst;
            } // Ende if "ist Unterkategorie unter aktuellem Parent"
        } // Ende foreach Unterkategorie
        $oKatDiff = $oKatBtrgIst - $oKatBtrgPlan;
        if ($oKatBtrgPlan < 0) $planClass = " negativ"; else $planClass = "";
        if ($oKatBtrgIst < 0) $istClass = " negativ"; else $istClass = "";
        if ($oKatDiff < 0) $diffClass = " negativ"; else $diffClass = "";
?>
    <tr>
        <th colspan="2"><?=$k1->getBezeichnung()?></th>
        <td class="betrag<?=$planClass?>"><?=BC_moneyFormat($oKatBtrgPlan)?> &euro;</td>
        <td class="betrag<?=$istClass?>"><?=BC_moneyFormat($oKatBtrgIst)?> &euro;</td>
        <td class="betrag<?=$diffClass?>"><?=BC_moneyFormat($oKatDiff)?> &euro;</td>
        <td data-open="<?=$oClassOpen?>" data-close="<?=$oClassClose?>">
            <img class="expand" data-art="expand" src="./img/expand.png">
            <img class="collapse" data-art="collapse" src="./img/collapse.png">
        </td>
    </tr>
<?php
            $gesBtrgPlan += $oKatBtrgPlan;
            $gesBtrgIst += $oKatBtrgIst;
    } // Ende foreach Oberkategorie
    $gesDiff = $gesBtrgIst - $gesBtrgPlan;
    if ($gesBtrgPlan < 0) $planClass = " negativ"; else $planClass = "";
    if ($gesBtrgIst < 0) $istClass = " negativ"; else $istClass = "";
    if ($gesDiff < 0) $diffClass = " negativ"; else $diffClass = "";
?>
    <tr>
        <th colspan="2">Gesamt-Bilanz</th>
        <td class="betrag<?=$planClass?>"><?=BC_moneyFormat($gesBtrgPlan)?> &euro;</td>
        <td class="betrag<?=$istClass?>"><?=BC_moneyFormat($gesBtrgIst)?> &euro;</td>
        <td class="betrag<?=$diffClass?>"><?=BC_moneyFormat($gesDiff)?> &euro;</td>
        <td>&nbsp;</td>
    </tr>
</table>